Subject: bug#64204: C/C++ local variables not syntax highlighted if they start with $

From: Po Lu <[email-masked]>
Date: Thu, 22 Jun 2023 19:46:41 +0800

Eli Zaretskii <[email-masked]> writes:

> I _am_ talking about fontifications.  One of the main purposes of
> fontifying code is to give the programmer feedback regarding the
> syntax and semantics of the code.  Flagging invalid syntax is
> therefore important, and when $ are invalid in identifiers, showing
> that with fontifications is important.

But CC Mode fontification has never been intended to flag invalid
syntax: instead of not being fontified at all, invalid syntax is simply
fontified every which way.  This is not a problem one option can solve;
it will require large scale redesign of CC Mode, and detecting invalid
syntax is more the forte of c-ts-mode anyway.

Thanks.